dane_query_to_raw_tlsa(3)

NAME
dane_query_to_raw_tlsa - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_query_to_raw_tlsa(dane_query_t q, unsigned int * data_entries, char *** dane_data, int ** dane_data_len, int * secure, int * bogus);

ARGUMENTS

dane_query_t q
    The query result structure

unsigned int * data_entries
    Pointer set to the number of entries in the query

char *** dane_data
    Pointer to contain an array of DNS rdata items, terminated with a NULL pointer; caller must guarantee that the referenced data remains valid until dane_query_deinit() is called.

int ** dane_data_len
    Pointer to contain the length n bytes of the dane_data items

int * secure
    Pointer set true if the result is validated securely, false if validation failed or the domain queried has no security info

int * bogus
    Pointer set true if the result was not secure due to a security failure

DESCRIPTION
This function will provide the DANE data from the query response. The pointers dane_data and dane_data_len are allocated with gnutls_malloc() to contain the data from the query result structure (individual
 dane_data items simply point to the original data and are not allocated separately). The returned dane_data are only valid during the lifetime of q .

RETURNS
On success, DANE_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/